de.dhbwstuttgart.typeinference.typedeployment

## Class GenericTypeInsertPoint

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint
  - - de.dhbwstuttgart.typeinference.typedeployment.GenericTypeInsertPoint

All Implemented Interfaces:
  java.lang.Comparable<SourcePatchPoint>

    public class GenericTypeInsertPoint
    extends SourcePatchPoint

Ein InsertPoint fÃ¼r Generische Variablen Wird beim Einsetzen eines TIP generiert. Steht fÃ¼r die Einsetzung aller Generischen Variablendeklarationen zugehÃ¶rig zu einem Punkt in der SourceFile.

Author:
  janulrich

### Field Summary

Fields
`private GenericTypeInsertable` `genericInsertPoint`
`private GenericVarPatch` `patch`

### Fields inherited from class de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint

`resultSet`

### Constructor Summary

Constructors
Constructor and Description
`GenericTypeInsertPoint(GenericTypeInsertable syntaxTreeNode, GenericVarPatch gtv, ResultSet resultSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(SourcePatchPoint arg0)`
`boolean` `equals(java.lang.Object obj)`
`int` `getInsertLength()`
`int` `getOffset()`
`java.lang.String` `getTypeInsertString()` Der TypeInsertString wird im Falle des GTIP von dem zugehÃ¶rigen SyntaxTreeNode generiert.
`JavaCodeResult` `patch(java.lang.String fileContent, int additionalOffset)`
`java.lang.String` `toString()`

### Methods inherited from class de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint

`getResultSet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### patch

    private GenericVarPatch patch

#### genericInsertPoint

    private GenericTypeInsertable genericInsertPoint

### Constructor Detail

#### GenericTypeInsertPoint

    public GenericTypeInsertPoint(GenericTypeInsertable syntaxTreeNode,
                                  GenericVarPatch gtv,
                                  ResultSet resultSet)

### Method Detail

#### getTypeInsertString

    public java.lang.String getTypeInsertString()

Der TypeInsertString wird im Falle des GTIP von dem zugehÃ¶rigen SyntaxTreeNode generiert.

Returns:

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### compareTo

    public int compareTo(SourcePatchPoint arg0)

Specified by:
  `compareTo` in interface `java.lang.Comparable<SourcePatchPoint>`
Overrides:
  `compareTo` in class `SourcePatchPoint`

#### patch

    public JavaCodeResult patch(java.lang.String fileContent,
                                int additionalOffset)

Specified by:
  `patch` in class `SourcePatchPoint`

#### getOffset

    public int getOffset()

Specified by:
  `getOffset` in class `SourcePatchPoint`

#### getInsertLength

    public int getInsertLength()

Specified by:
  `getInsertLength` in class `SourcePatchPoint`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`